Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Types | Private Attributes | List of all members
Pca::PCA< VectorT > Class Template Reference

Class for principal component Analysis. More...

`#include </PCA.hh>`

## Public Member Functions
| PCA ()
| Constructor.
| PCA (std::vector< VectorT > &_points, VectorT &_first, VectorT &_second, VectorT &_third)
| ~PCA ()
| Destructor.
VectorT | center_of_gravity (const std::vector< VectorT > &_points)
void | pca (std::vector< VectorT > &_points, VectorT &_first, VectorT &_second, VectorT &_third)
std::vector< double > & | getLastEigenValues ()
bool | SymRightEigenproblem (Matrix &_mat_A, Matrix &_mat_VR, std::vector< double > &_vec_EV)

## Private Types
typedef gmm::dense_matrix< double > | Matrix
typedef std::vector< double > | Vector

## Private Attributes
std::vector< double > | lastEigenValues_

## Detailed Description

### template<typename VectorT>
class Pca::PCA< VectorT >

Class for principal component Analysis.

Class for principal component Analysis

Definition at line 89 of file PCA.hh.

## Constructor & Destructor Documentation

template<typename VectorT >

Pca::PCA< VectorT >::PCA | ( | std::vector< VectorT > & | _points,
|  | VectorT & | _first,
|  | VectorT & | _second,
|  | VectorT & | _third
| ) |  |

Extended constructor Parameters : see pca()

Definition at line 91 of file PCA.cc.

## Member Function Documentation

template<typename VectorT >

VectorT Pca::PCA< VectorT >::center_of_gravity | ( | const std::vector< VectorT > & | _points | ) |
| inline

Compute center of gravity for a vector of points

Parameters

  _points | set of points

Definition at line 110 of file PCA.cc.

template<typename VectorT >

void Pca::PCA< VectorT >::pca | ( | std::vector< VectorT > & | _points,
|  | VectorT & | _first,
|  | VectorT & | _second,
|  | VectorT & | _third
| ) |  |

Compute the principal component analysys for a vector of points

Parameters

  _points | set of points
  _first | First main axis
  _second | second main axis
  _third | third main axis

Definition at line 175 of file PCA.cc.

The documentation for this class was generated from the following files:

- Math_Tools/PCA/PCA.hh
- Math_Tools/PCA/PCA.cc